This repository is for the OZG info manager.

# Getting Started

**Note:** Docker needs to run to run the build tests being executed on `gradle build`.

### Reference Documentation

For further reference, please consider the following sections:

* [Spring Boot Gradle Plugin Reference Guide](https://docs.spring.io/spring-boot/docs/current/gradle-plugin/reference/htmlsingle/)
* [Create an OCI image](https://docs.spring.io/spring-boot/docs/3.1.3/maven-plugin/reference/html/#build-image)
* [gRPC](https://grpc.io/)
* [Spring Boot Actuator](https://docs.spring.io/spring-boot/docs/3.1.3/reference/htmlsingle/index.html#actuator)
* [Spring Data MongoDB](https://docs.spring.io/spring-data/mongodb/docs/current/reference/html/)
* [Spring Boot DevTools](https://docs.spring.io/spring-boot/docs/3.1.3/reference/htmlsingle/index.html#using.devtools)

### Guides

The following guides illustrate how to use some features concretely:

* [Spring Data with MongoDB](https://spring.io/projects/spring-data-mongodb)
* [gRPC-Spring-Boot-Starter Documentation](https://yidongnan.github.io/grpc-spring-boot-starter/en/)

### Properties

| Name                                      | Description                                                                  | Default value        |
|-------------------------------------------|------------------------------------------------------------------------------|----------------------|
| ozgcloud.infomanager.allowed-client-names | List of names of grpc clients allowed to access the getServiceUrlOfNachricht | Antragsraum          |
| ozgcloud.infomanager.postfach-id-key-name | Name of the key used to read the postfach id from the auth token             | legacyPostkorbHandle |

### Useful commands

Create an entry using grpcurl:

[Get grpcurl](https://github.com/fullstorydev/grpcurl)

Add a 'Nachricht' to the database using grpcUrl:

```
./grpcurl --plaintext -d '{"nachricht": {"postfachId": "28721c6f-b78f-4d5c-a048-19fd2fc429d2", "nachrichtenListUrl":"static://localhost:9091"}}' localhost:9091 de.mgm.bup.ozg.antragsraum.infomanager.NachrichtService.SaveNewNachricht
```

Query the InfoManager for available services

```
./grpcurl --plaintext localhost:9091 list
```

See setup details here: https://wiki.mgm-tp.com/confluence/x/dwMkEw

`docker run -p 9090:9090 -p 8081:8081 dockerregistry.mgm-tp.com/com.mgmtp.bup.ozg/ozg-info-manager:0.0.1-9.b1aa5f2-SNAPSHOT`

Run it from commandline use:

```
./mvnw spring-boot:run -Dspring-boot.run.profiles=local -pl info-manager-server
```

at the info-manager root directory