/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.info.common;

import java.util.UUID;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class UserTestFactory {
    static final String USER_ID = UUID.randomUUID().toString();
    static final String FIRST_NAME = "Paul";
    static final String LAST_NAME = "Panter";
    static final String USER_NAME = FIRST_NAME + "_" + LAST_NAME;
    public static final String POSTKORB_HANDLE = UUID.randomUUID().toString();
    static final String TRUST_LEVEL = "BASIC";

    public static User create() {
        return createBuilder().build();
    }

    public static User.UserBuilder createBuilder() {
        return new User.UserBuilder()
            .id(USER_ID)
            .username(USER_NAME)
            .postkorbHandle(POSTKORB_HANDLE)
            .trustLevel(TRUST_LEVEL);
    }
}
