/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.info;

import de.ozgcloud.info.common.UserTestFactory;
import de.ozgcloud.info.nachricht.NachrichtEvent;

public class NachrichtEventTestFactory {
    public final static String POSTKORB_HANDLE = UserTestFactory.POSTKORB_HANDLE;
    public final static String EMPTY_POSTFACH_HANDLE = "73228744-a28a-4485-845b-d8cc02422760";
    public final static String URL = "http://localhost";

    public static NachrichtEvent create() {
        return createBuilder().postfachId(POSTKORB_HANDLE).nachrichtenListUrl(URL).build();
    }

    public static NachrichtEvent.NachrichtEventBuilder createBuilder() {
        return NachrichtEvent.builder();
    }
}
